//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace COMMON
{
    using System;
    using System.Collections.Generic;
    
    public partial class Shop
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Shop()
        {
            this.CustomerShops = new HashSet<CustomerShop>();
        }
    
        public long Id { get; set; }
        public string Pelak { get; set; }
        public Nullable<long> ComplexId { get; set; }
    
        public virtual Complex Complex { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CustomerShop> CustomerShops { get; set; }
        public virtual Shop Shop1 { get; set; }
        public virtual Shop Shop2 { get; set; }
    }
}
